@echo off
REM Задаем параметры службы
set SERVICE_NAME=EdelResortFeeService
set DISPLAY_NAME="EdelResortFeeService"
set SERVICE_BINARY="c:\EDEL\SERVICES\EdelResortFeeService\EdelResortFeeService.exe"
set SERVICE_DESCRIPTION="Interface between Edelweiss and AIS RS SPb"

REM Создаем службу
sc create %SERVICE_NAME% binPath= %SERVICE_BINARY% DisplayName= %DISPLAY_NAME% start= auto
if %errorlevel% neq 0 (
    echo Failed to create the service.
    exit /b %errorlevel%
)

REM Устанавливаем описание службы
sc description %SERVICE_NAME% "%SERVICE_DESCRIPTION%"

REM Устанавливаем параметры восстановления для службы
sc failure %SERVICE_NAME% reset= 86400 actions= restart/60000/restart/60000/restart/60000
if %errorlevel% neq 0 (
    echo Failed to set service recovery options.
    exit /b %errorlevel%
)

REM Запускаем службу
sc start %SERVICE_NAME%
if %errorlevel% neq 0 (
    echo Failed to start the service.
    exit /b %errorlevel%
)

echo Service %SERVICE_NAME% has been created, configured, and started successfully.
exit /b 0